package com.bonus.material.work.mapper;


import com.bonus.common.biz.domain.lease.LeaseApplyInfo;
import com.bonus.common.biz.domain.lease.WorkApplyInfo;
import com.bonus.common.biz.domain.lease.WorkPeopleInfo;
import com.bonus.material.lease.domain.LeaseApplyDetails;
import com.bonus.material.ma.domain.DirectApplyInfo;
import com.bonus.material.ma.domain.Type;
import com.bonus.material.work.domain.DirectAudit;
import com.bonus.material.work.domain.SysWorkflowRecord;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
* @description  业务办理--领用任务
* @author hay
* @date   2025/2/17 13:18
*/
public interface DirectAuditMapper {


    List<DirectApplyInfo> getList(DirectApplyInfo directApplyInfo);



    List<DirectAudit> getAuditInfo(DirectAudit du);

    void updateWorkflowRecord(DirectAudit fr);

    void updateDirectAudit(DirectApplyInfo directApplyInfo);

    int getImpUnit(@Param("proId") String backProId);

    int getProjectIdById(int leaseAgreementId);

    String getProjectNameById(int projectId);

    int insertWorkOrder(WorkApplyInfo workApplyInfo);

    List<WorkPeopleInfo> selectWorkPeopleInfoList(int flowId);

    List<WorkPeopleInfo> selectUserListByRoleAndDept(WorkPeopleInfo param);

    void insertWorkPeople(WorkPeopleInfo workPeopleInfo);

    String getExternalId(int projectId);

    String getLeaderId(String externalId);

    String getUserNameById(String leaderId);

    List<WorkPeopleInfo> getUserIdByUserName(String leaderAccount);

    void deleteWorkflowRecord(int newId);

    List<WorkPeopleInfo> getUserIdByExternalId(String leaderAccount);
}
